#include<iostream>
using namespace std;
void unos(int a[], int n)
{
    for(int i=0;i<n;i++)
        cin>>a[i];
}
void aura(int a[], int p, int x, int n)
{
    int l=0;
    int c=1;
    int suma=0;
    while(p<=n)
    {
        for(int i=l;i<p;i++)
        {
            suma+=c*a[i];
        }
        cout<<suma<<endl;
        p++;
        l++;
    }
}
int main()
{
    int n,p,x,c;
    cin>>n>>p>>x;
    int a[n];
    unos(a,n);
    aura(a,p,x,n);
    return 0;
}